import { Browser } from 'playwright';
export interface CloseOptions {
    /**
     * Time out used to prevent too slow or buggy browser closing.
     * Defaults to 3000 milliseconds.
     *
     * @type {number}
     * @memberof CloseOptions
     */
    timeoutInMilliseconds: number;
}
export declare const defaultCloseOptions: CloseOptions;
export declare function closeBrowser(browser: Browser | undefined, options: CloseOptions): Promise<void>;
