"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../index"));
const index_1 = require("../index");
describe('check handle', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should throw an error when the browser has not been launched', async () => {
        // Given
        const handle = undefined;
        // When
        // Then
        const expectedError = new Error("Cannot check 'foobar' because no browser has been launched");
        await SUT.checkHandle(handle, 'foobar', undefined, index_1.defaultCheckOptions).catch((error) => expect(error).toMatchObject(expectedError));
    });
});
