import { ElementHandle, Frame, Page } from 'playwright';
import { Button, Modifier, Point } from '../click-on-handle';
export interface DoubleClickOptions {
    button: Button;
    delay: number;
    modifiers?: Modifier[];
    position?: Point;
    stabilityInMilliseconds: number;
    timeoutInMilliseconds: number;
    verbose: boolean;
}
export declare const defaultDoubleClickOptions: DoubleClickOptions;
export declare function doubleClickOnHandle(selector: ElementHandle<Element> | undefined | null, name: string, page: Page | Frame | undefined, options: DoubleClickOptions): Promise<void>;
