"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../index"));
const double_click_on_handle_1 = require("../double-click-on-handle");
describe('double-click on handle', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should throw an error when the browser has not been launched', async () => {
        // Given
        const handle = undefined;
        // When
        // Then
        const expectedError = new Error("Cannot double-click on 'foobar' because no browser has been launched");
        await SUT.doubleClickOnHandle(handle, 'foobar', undefined, double_click_on_handle_1.defaultDoubleClickOptions).catch((error) => expect(error).toMatchObject(expectedError));
    });
});
