"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getHandlesWithValue = void 0;
const has_handle_value_1 = require("../has-handle-value");
async function getHandlesWithValue(text, handles) {
    const result = [];
    for (let index = 0; index < handles.length; index++) {
        const handle = handles[index];
        const hasValue = await (0, has_handle_value_1.hasHandleValue)(handle, text);
        if (hasValue) {
            result.push(handle);
        }
    }
    return result;
}
exports.getHandlesWithValue = getHandlesWithValue;
