"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasHandlePlaceholder = void 0;
const get_attribute_of_handle_1 = require("../get-attribute-of-handle");
async function hasHandlePlaceholder(handle, expectedPlaceholder) {
    if (!handle) {
        return false;
    }
    const placeholder = await (0, get_attribute_of_handle_1.getAttributeOfHandle)('placeholder', handle);
    return placeholder === expectedPlaceholder;
}
exports.hasHandlePlaceholder = hasHandlePlaceholder;
