"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hasHandleValue = void 0;
const get_value_of_handle_1 = require("../get-value-of-handle");
async function hasHandleValue(handle, expectedValue) {
    if (!handle) {
        return false;
    }
    const value = await (0, get_value_of_handle_1.getValueOfHandle)(handle);
    if (value === undefined && expectedValue === '') {
        return true;
    }
    if (value === null && expectedValue === '') {
        return true;
    }
    if (value === undefined || value === null) {
        return false;
    }
    if (value === '' && expectedValue === '') {
        return true;
    }
    if (expectedValue === '') {
        return false;
    }
    if (value.includes(expectedValue)) {
        return true;
    }
    return false;
}
exports.hasHandleValue = hasHandleValue;
