import { ElementHandle, Frame, Page } from 'playwright';
export interface HoverOptions {
    timeoutInMilliseconds: number;
    stabilityInMilliseconds: number;
    steps: number;
    verbose: boolean;
}
export declare const defaultHoverOptions: HoverOptions;
export declare function hoverOnHandle(selector: ElementHandle<Element> | undefined | null, name: string, pageOrFrame: Page | Frame | null | undefined, options: HoverOptions): Promise<void>;
