import { ElementHandle } from 'playwright';
type HTMLElementMethods = Pick<HTMLElement, 'click' | 'focus' | 'blur'>;
type HTMLInputElementMethods = Pick<HTMLInputElement, 'select'>;
export type MethodName = keyof HTMLElementMethods | keyof HTMLInputElementMethods;
export declare function invokeMethodOnHandle(methodName: MethodName, selector: ElementHandle<Element> | undefined | null, selectorName: string): Promise<void>;
export {};
