"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isHandleNotVisible = void 0;
const is_handle_visible_1 = require("../is-handle-visible");
async function isHandleNotVisible(selector, options) {
    if (selector === undefined || selector === null) {
        return true;
    }
    const result = !(await (0, is_handle_visible_1.isHandleVisible)(selector, options));
    return result;
}
exports.isHandleNotVisible = isHandleNotVisible;
