"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.holdDownKey = void 0;
const utils_1 = require("../../../utils");
async function holdDownKey(key, page) {
    if (!page) {
        throw new Error(`Cannot hold down key '${key}' because no browser has been launched`);
    }
    await (0, utils_1.toPage)(page).keyboard.down(key);
}
exports.holdDownKey = holdDownKey;
