"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../index"));
describe('paste text', () => {
    test('should return an error when browser has not been launched', async () => {
        // Given
        const page = undefined;
        // When
        // Then
        const expectedError = new Error("Cannot paste text 'foobar' because no browser has been launched");
        await SUT.pasteText('foobar', page, SUT.defaultPasteTextOptions).catch((error) => expect(error).toMatchObject(expectedError));
    });
});
