"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.pressKey = exports.defaultKeyboardPressOptions = void 0;
const utils_1 = require("../../../utils");
exports.defaultKeyboardPressOptions = {
    delay: 50,
};
async function pressKey(key, page, options) {
    if (!page) {
        throw new Error(`Cannot press key '${key}' because no browser has been launched`);
    }
    await (0, utils_1.toPage)(page).keyboard.press(key, options);
}
exports.pressKey = pressKey;
