"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../index"));
const handle_actions_1 = require("../../../handle-actions");
describe('click-on-selector', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should return an error when page has not been initalized', async () => {
        // Given
        const page = undefined;
        // When
        // Then
        const expectedError = new Error("Cannot click on 'foobar' because no browser has been launched");
        await SUT.clickOnSelector('foobar', page, handle_actions_1.defaultClickOptions).catch((error) => expect(error).toMatchObject(expectedError));
    });
});
