"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../index"));
describe('delay requests to', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should return an error when browser has not been launched', async () => {
        // Given
        const page = undefined;
        // When
        // Then
        const expectedError = new Error("Cannot delay requests to '/foobar' because no browser has been launched");
        await SUT.delayRequestsTo('/foobar', 10, page).catch((error) => expect(error).toMatchObject(expectedError));
    });
});
