"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("./index"));
describe('get-current-url', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should return an error when page has not been initalized', async () => {
        // Given
        const page = undefined;
        // When
        // Then
        const expectedError = new Error('Cannot get current page url because no browser has been launched');
        await SUT.getCurrentUrl(page).catch((error) => expect(error).toMatchObject(expectedError));
    });
});
