"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const playwright_1 = require("playwright");
const SUT = tslib_1.__importStar(require("../index"));
describe('get-focused-handle', () => {
    let browser = undefined;
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    afterEach(async () => {
        if (browser) {
            await browser.close();
        }
    });
    test('should return handle when selector exists on the page - firefox', async () => {
        // Given
        browser = await playwright_1.firefox.launch({ headless: true });
        const context = await browser.newContext({ viewport: null });
        const page = await context.newPage();
        // When
        const result = await SUT.getFocusedHandle(page);
        // Then
        expect(result).toBeDefined();
    });
});
