import { Frame, Page } from 'playwright';
export type DateFormat = 'yyyy-mm-dd' | 'Jun 1, 2021' | 'Jun 01, 2021';
export interface DateTimeFormatOptions {
    locale: string;
    intlOptions: Intl.DateTimeFormatOptions;
}
export declare function getToday(page: Page | Frame | undefined, format?: DateFormat | DateTimeFormatOptions): Promise<string>;
