import { Frame, Page } from 'playwright';
export interface ViewportRect {
    height: number;
    offsetLeft: number;
    offsetTop: number;
    pageLeft: number;
    pageTop: number;
    scale: number;
    width: number;
}
export declare function getViewportRectangleOf(page: Page | Frame | undefined): Promise<ViewportRect | null>;
