import { Frame, Page } from 'playwright';
import { MethodName } from '../../handle-actions';
export interface InvokeOptions {
    stabilityInMilliseconds: number;
    timeoutInMilliseconds: number;
    verbose: boolean;
}
export declare const defaultInvokeOptions: InvokeOptions;
export declare function invokeMethodOnSelector(methodName: MethodName, selector: string, page: Page | Frame | undefined, options: InvokeOptions): Promise<void>;
