import { Frame, Page } from 'playwright';
export interface NavigationOptions {
    /**
     * Maximum navigation time in milliseconds,
     * defaults to 30 seconds,
     * pass 0 to disable timeout
     *
     * @type {number}
     * @memberof NavigationOptions
     */
    timeout: number;
}
export declare const defaultNavigationOptions: NavigationOptions;
export declare function navigateTo(url: string, options: NavigationOptions, page: Page | Frame | undefined): Promise<void>;
