"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../index"));
describe('on request to respond with', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should return an error when browser has not been launched', async () => {
        // Given
        const page = undefined;
        const options = {};
        const response = {};
        // When
        // Then
        const expectedError = new Error("Cannot intercept requests to '/foobar' because no browser has been launched");
        await SUT.onRequestToRespondWith('/foobar', options, response, page).catch((error) => expect(error).toMatchObject(expectedError));
    });
});
