"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.querySelectorAllInPage = void 0;
async function querySelectorAllInPage(selector, page) {
    if (!page) {
        throw new Error(`Cannot query selector '${selector}' because no browser has been launched`);
    }
    const elements = await page.$$(selector);
    return elements;
}
exports.querySelectorAllInPage = querySelectorAllInPage;
