"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../index"));
describe('full page screenshot', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should return an error when browser has not been launched', async () => {
        // Given
        const page = undefined;
        // When
        // Then
        const expectedError = new Error('Cannot take a screenshot of the full page because no browser has been launched');
        await SUT.takeFullPageScreenshotAsBase64(page, SUT.defaultFullPageScreenshotOptions).catch((error) => expect(error).toMatchObject(expectedError));
    });
});
