import { Request } from 'playwright';
import { HttpRequestMethod, MimeType } from '../../../utils';
import { FluentMock, PostData, QueryString } from './with-mocks';
export interface MissingMock {
    url: string;
    method: HttpRequestMethod;
    queryString: QueryString;
    postData: PostData;
    mimeType: MimeType;
    response: string | unknown | null;
    status: number;
}
export declare function getMissingMocks(mocks: Partial<FluentMock>[], requests: Request[], sharedContext?: unknown): Promise<MissingMock[]>;
