import { Frame, Page } from 'playwright';
import { SelectorFluent } from '../../selector-api';
import { WaitUntilOptions } from '../../utils';
import { AssertOptions } from '../../fluent-api';
export declare function hasExactValue(selector: string | SelectorFluent, expectedValue: string, page: Page | Frame | undefined, options?: Partial<WaitUntilOptions>): Promise<boolean>;
export declare function expectThatSelectorHasExactValue(selector: string | SelectorFluent, expectedValue: string, page: Page | Frame | undefined, options?: Partial<AssertOptions>): Promise<void>;
