"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs_1 = require("fs");
const path = tslib_1.__importStar(require("path"));
const device_descriptors_1 = require("./device-descriptors");
const deviceNames = 'export type DeviceName = ' +
    device_descriptors_1.allKnownDevices
        .map((d) => d.name)
        .map((name) => `'${name}'`)
        .join('|');
(0, fs_1.writeFileSync)(path.join(__dirname, 'device-names.ts'), deviceNames);
