"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const path_1 = tslib_1.__importDefault(require("path"));
const SUT = tslib_1.__importStar(require("../index"));
describe('har-writer', () => {
    test('should reduce HAR file', async () => {
        // Given
        const inputFile = path_1.default.join(__dirname, 'github.com.har');
        const outputFile = path_1.default.join(__dirname, 'github-reduced.har');
        const entryFilter = (entry) => {
            if (entry.request.method === 'POST') {
                return true;
            }
            return false;
        };
        // When
        SUT.reduceHarFile({ inputFile, outputFile, entryFilter });
        // Then
    });
});
