"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const playwright_1 = require("playwright");
const SUT = tslib_1.__importStar(require("../index"));
const __1 = require("../..");
describe('inject-cursor', () => {
    let browser = undefined;
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    afterEach(async () => {
        if (browser) {
            await browser.close();
        }
    });
    test('should show cursor on the page on firefox', async () => {
        // Given
        const url = 'https://reactstrap.github.io/components/form';
        browser = await playwright_1.firefox.launch({ headless: true });
        const context = await browser.newContext({ viewport: null });
        const page = await context.newPage();
        await page.goto(url);
        // When
        await SUT.injectCursor(page);
        await SUT.injectCursor(page);
        await SUT.injectCursor(page);
        await SUT.injectCursor(page);
        // Then
        const cursorExists = await (0, __1.exists)('playwright-mouse-pointer', page);
        expect(cursorExists).toBe(true);
    });
});
