"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../index"));
describe('are options available in handle', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should throw an error when no options are passed', async () => {
        // Given
        const handle = undefined;
        // When
        // Then
        const expectedError = new Error("Cannot check that options are available in selector 'foobar' because no options were provided.");
        await SUT.areOptionsAvailableInHandle(handle, 'foobar', []).catch((error) => expect(error).toMatchObject(expectedError));
    });
});
