import { ElementHandle, Frame, Page } from 'playwright';
export interface CheckOptions {
    stabilityInMilliseconds: number;
    timeoutInMilliseconds: number;
    verbose: boolean;
}
export declare const defaultCheckOptions: CheckOptions;
export declare function checkHandle(selector: ElementHandle<Element> | undefined | null, name: string, page: Page | Frame | undefined, options: CheckOptions): Promise<void>;
