"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../index"));
describe('get all options of handle', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should return an empty array when handle is undefined', async () => {
        // Given
        const handle = undefined;
        // When
        const result = await SUT.getAllOptionsOfHandle(handle, 'foobar');
        // Then
        expect(Array.isArray(result)).toBe(true);
        expect(result.length).toBe(0);
    });
    test('should return an empty array when handle is null', async () => {
        // Given
        const handle = null;
        // When
        const result = await SUT.getAllOptionsOfHandle(handle, 'foobar');
        // Then
        expect(Array.isArray(result)).toBe(true);
        expect(result.length).toBe(0);
    });
});
