"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../index"));
describe('get intersection ratio of handle', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should return -1 when selector is undefined - chromium', async () => {
        // Given
        const selector = undefined;
        // When
        const result = await SUT.getIntersectionRatioOfHandle(selector);
        // Then
        expect(result).toBe(-1);
    });
    test('should return -1 when selector is null - chromium', async () => {
        // Given
        const selector = null;
        // When
        const result = await SUT.getIntersectionRatioOfHandle(selector);
        // Then
        expect(result).toBe(-1);
    });
});
