"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getValueOfHandle = void 0;
async function getValueOfHandle(selector) {
    if (!selector) {
        return null;
    }
    const result = await selector.evaluate((el) => {
        const inputElement = el;
        return inputElement && inputElement.value;
    });
    return result;
}
exports.getValueOfHandle = getValueOfHandle;
