"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("./index"));
describe('get value of handle', () => {
    test('should return null when selector is null', async () => {
        // Given
        const selector = null;
        // When
        const result = await SUT.getValueOfHandle(selector);
        // Then
        expect(result).toBe(null);
    });
    test('should return null when selector is undefined', async () => {
        // Given
        const selector = undefined;
        // When
        const result = await SUT.getValueOfHandle(selector);
        // Then
        expect(result).toBe(null);
    });
});
