"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../index"));
describe('handle does notexists', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should return true when handle is undefined', async () => {
        // Given
        const handle = undefined;
        // When
        const result = await SUT.handleDoesNotExist(handle);
        // Then
        expect(result).toBe(true);
    });
    test('should return true when handle is null', async () => {
        // Given
        const handle = null;
        // When
        const result = await SUT.handleDoesNotExist(handle);
        // Then
        expect(result).toBe(true);
    });
});
