"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../index"));
describe('is option available in handle', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should return false when handle is undefined', async () => {
        // Given
        const handle = undefined;
        // When
        const result = await SUT.isOptionAvailableInHandle(handle, 'foo', 'bar');
        // Then
        expect(result).toBe(false);
    });
    test('should return false when handle is null', async () => {
        // Given
        const handle = null;
        // When
        const result = await SUT.isOptionAvailableInHandle(handle, 'foo', 'bar');
        // Then
        expect(result).toBe(false);
    });
});
