"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.querySelectorAllFromHandles = void 0;
async function querySelectorAllFromHandles(selector, rootElements) {
    const result = [];
    for (let index = 0; index < rootElements.length; index++) {
        const rootElement = rootElements[index];
        const foundElements = await rootElement.$$(selector);
        result.push(...foundElements);
    }
    return result;
}
exports.querySelectorAllFromHandles = querySelectorAllFromHandles;
