import { ElementHandle, Frame, Page } from 'playwright';
export interface SelectOptions {
    stabilityInMilliseconds: number;
    timeoutInMilliseconds: number;
    verbose: boolean;
}
export declare const defaultSelectOptions: SelectOptions;
export declare function selectOptionsInHandle(selector: ElementHandle<Element> | undefined | null, name: string, labels: string[], page: Page | Frame | undefined, options: SelectOptions): Promise<void>;
