import { Frame, Page } from 'playwright';
export interface ClearTextOptions {
    /**
     * Time to wait between key presses in milliseconds.
     * Defaults to 50
     *
     * @type {number}
     * @memberof ClearTextOptions
     */
    delay: number;
}
export declare const defaultClearTextOptions: ClearTextOptions;
export declare function clearText(page: Page | Frame | undefined, options: ClearTextOptions): Promise<void>;
