"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.releaseKey = void 0;
const utils_1 = require("../../../utils");
async function releaseKey(key, page) {
    if (!page) {
        throw new Error(`Cannot release key '${key}' because no browser has been launched`);
    }
    await (0, utils_1.toPage)(page).keyboard.up(key);
}
exports.releaseKey = releaseKey;
