"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../index"));
describe('cancel page dialog', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should return an error when browser has not been launched', async () => {
        // Given
        const page = undefined;
        const dialog = undefined;
        // When
        // Then
        const expectedError = new Error('Cannot cancel dialog because no browser has been launched');
        // eslint-disable-next-line @typescript-eslint/no-empty-function
        await SUT.cancelDialog(dialog, page, () => { }).catch((error) => expect(error).toMatchObject(expectedError));
    });
});
