"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../index"));
const index_1 = require("../index");
describe('invoke-method-on-selector', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should return an error when page has not been initalized', async () => {
        // Given
        const page = undefined;
        // When
        // Then
        const expectedError = new Error("Cannot invoke method 'click' on 'foobar' because no browser has been launched");
        await SUT.invokeMethodOnSelector('click', 'foobar', page, index_1.defaultInvokeOptions).catch((error) => expect(error).toMatchObject(expectedError));
    });
});
