"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.navigateTo = exports.defaultNavigationOptions = void 0;
exports.defaultNavigationOptions = {
    timeout: 30000,
};
async function navigateTo(url, options, page) {
    if (page) {
        await page.goto(url, options);
        return;
    }
    throw new Error(`Cannot navigate to '${url}' because no browser has been launched`);
}
exports.navigateTo = navigateTo;
