"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../index"));
describe('record downloads to', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should return an error when browser has not been launched', async () => {
        // Given
        const page = undefined;
        const downloadsDirectory = __dirname;
        // When
        // Then
        const expectedError = new Error(`Cannot record downloads to '${downloadsDirectory}' because no browser has been launched`);
        await SUT.recordDownloadsTo(downloadsDirectory, page).catch((error) => expect(error).toMatchObject(expectedError));
    });
});
