"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const SUT = tslib_1.__importStar(require("../index"));
describe('record failed requests', () => {
    // eslint-disable-next-line @typescript-eslint/no-empty-function
    beforeEach(() => { });
    test('should return an error when browser has not been launched', async () => {
        // Given
        const page = undefined;
        const requests = [];
        const callback = (request) => requests.push(request);
        // When
        // Then
        const expectedError = new Error('Cannot record failed requests because no browser has been launched');
        await SUT.recordFailedRequests(page, callback).catch((error) => expect(error).toMatchObject(expectedError));
    });
});
