"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.recordPageDialogs = void 0;
async function recordPageDialogs(page, callback) {
    if (!page) {
        throw new Error(`Cannot record page dialogs because no browser has been launched`);
    }
    page.on('dialog', (dialog) => {
        callback(dialog);
    });
}
exports.recordPageDialogs = recordPageDialogs;
