import { Frame, Page } from 'playwright';
import { SelectorFluent } from '../../selector-api';
import { WaitUntilOptions } from '../../utils';
import { AssertOptions } from '../../fluent-api/playwright-fluent';
export declare function isDisabled(selector: string | SelectorFluent, page: Page | Frame | undefined, options?: Partial<WaitUntilOptions>): Promise<boolean>;
export declare function expectThatSelectorIsDisabled(selector: string | SelectorFluent, page: Page | Frame | undefined, options?: Partial<AssertOptions>): Promise<void>;
