import { BrowserName } from '..';
export interface WindowSize {
    width: number;
    height: number;
}
export interface WindowSizeOptions {
    ciOnly: boolean;
}
export declare const defaultWindowSizeOptions: WindowSizeOptions;
export declare function getBrowserArgsForWindowSize(size: WindowSize, options: WindowSizeOptions): {
    andBrowser: (browsername: BrowserName) => string[];
};
export declare const _800x600: WindowSize;
export declare const _1024x768: WindowSize;
export declare const _1280x720: WindowSize;
export declare const _1600x900: WindowSize;
export declare const _1600x1024: WindowSize;
export declare const _1600x1200: WindowSize;
export declare const _1920x1080: WindowSize;
export declare const _1920x1200: WindowSize;
export declare const _1920x1440: WindowSize;
export declare const _2560x1440: WindowSize;
export declare const _3840x2160: WindowSize;
export declare const sizeOf: {
    _800x600: WindowSize;
    _1024x768: WindowSize;
    _1280x720: WindowSize;
    _1600x1024: WindowSize;
    _1600x1200: WindowSize;
    _1600x900: WindowSize;
    _1920x1080: WindowSize;
    _1920x1200: WindowSize;
    _1920x1440: WindowSize;
    _2560x1440: WindowSize;
    _3840x2160: WindowSize;
};
