"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.uniqueFilename = void 0;
const uuid_1 = require("uuid");
function uniqueFilename(options = { prefix: '', extension: '.json' }) {
    return `${options.prefix || ''}${(0, uuid_1.v4)()}${options.extension || '.json'}`;
}
exports.uniqueFilename = uniqueFilename;
