"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toFrame = exports.toPage = void 0;
function toPage(pageOrFrame) {
    const page = pageOrFrame;
    const frame = pageOrFrame;
    if (frame.page) {
        return frame.page();
    }
    return page;
}
exports.toPage = toPage;
function toFrame(pageOrFrame) {
    const frame = pageOrFrame;
    if (typeof frame.page === 'function') {
        return frame;
    }
    return undefined;
}
exports.toFrame = toFrame;
