import { PathLike } from 'fs';
import { UpdatePolicy } from '../dates';
export declare const userHomeDirectory: string;
export declare const userDownloadsDirectory: string;
export declare const fileExists: (filePath: string) => boolean;
export declare const fileDoesNotExist: (filePath: string) => boolean;
export declare const getFilesInDirectory: (path: PathLike, fileFilter?: ((path: string) => boolean) | undefined) => string[];
export declare const getFilesOlderThanInDirectory: (path: PathLike, durationInSeconds: number, fileFilter?: ((path: string) => boolean) | undefined) => string[];
export declare const deleteFile: (path: string) => void;
export declare const ensureDirectoryExists: (directoryPath: string) => void;
export declare const lastUpdateOf: (filePath: string) => Date;
export declare function shouldUpdateFile(filePath: string, policy: UpdatePolicy): boolean;
