"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.reduceHarFile = void 0;
const fs_1 = require("fs");
const _1 = require(".");
function reduceHarFile(options) {
    const data = (0, _1.getHarDataFrom)(options.inputFile);
    const entries = data.log.entries;
    data.log.entries = entries.filter(options.entryFilter);
    (0, fs_1.writeFileSync)(options.outputFile, JSON.stringify(data, null, 2));
}
exports.reduceHarFile = reduceHarFile;
